/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/*
 *  Copyright (C) 2003 Takuro Ashie
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef KZ_HOME_ACTION_H
#define KZ_HOME_ACTION_H

#include <gtk/gtk.h>

#include "egg-action.h"
#include "kz-bookmark.h"
#include "kz-window.h"

#define KZ_TYPE_HOME_ACTION            (kz_home_action_get_type())
#define KZ_HOME_ACTION(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), KZ_TYPE_HOME_ACTION, KzHomeAction))
#define KZ_HOME_ACTION_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass), KZ_TYPE_HOME_ACTION, KzHomeActionClass))
#define KZ_IS_HOME_ACTION(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), KZ_TYPE_HOME_ACTION))
#define KZ_IS_HOME_ACTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((obj), KZ_TYPE_HOME_ACTION))
#define KZ_HOME_ACTION_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj), KZ_TYPE_HOME_ACTION, KzHomeActionClass))

typedef struct _KzHomeAction      KzHomeAction;
typedef struct _KzHomeActionClass KzHomeActionClass;

struct _KzHomeAction
{
	EggAction   parent;

	GtkWidget  *popup_menu;

	KzBookmark *home;
	KzWindow   *kz;
};

struct _KzHomeActionClass
{
	EggActionClass parent_class;
};

GType         kz_home_action_get_type (void);
KzHomeAction *kz_home_action_new      (KzBookmark *home,
				       KzWindow   *kz);

#endif /* KZ_HOME_ACTION_H */
